Package com.tietoenator.trip.jxp.data

# Class TdbRendition

java.lang.Object
com.tietoenator.trip.jxp.data.TdbFieldTemplate
com.tietoenator.trip.jxp.data.TdbRendition

Direct Known Subclasses:
  `TdbHighlightRendition`

public class TdbRendition extends TdbFieldTemplate
Extends TdbFieldTemplate to provide rendition requests specific to STring fields. Currently supported rendition types can be found in the TdbRenditionType enum.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbRendition(String name, TdbRenditionType type)`
  Constructor for a string template field with optional conversion
  `TdbRendition(String stringFieldName, String filenameFieldName, TdbRenditionType type)`
  Constructor for a string template field with optional conversion.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFilenameFieldName()`
  Retrieve the name of the phrase field containing the name of the file stored in the string field to which this field template applies.
  `String`
  `getRenditionType()`
  Retrieve the type (protocol string) that reflects the rendition request

  ### Methods inherited from class com.tietoenator.trip.jxp.data.TdbFieldTemplate

  `clear, getAfterHits, getBaseName, getBeforeHits, getFetchType, getFieldContent, getFieldFetchOption, getName, getSizeHint, isFocused, isSummarized, setAfterHits, setBaseName, setBeforeHits, setFetchType, setFieldContent, setFieldFetchOption, setFocused, setName, setSizeHint, setSummarized, setSurroundHits`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TdbRendition

    public TdbRendition(String name, TdbRenditionType type)
    Constructor for a string template field with optional conversion
    Parameters:
      `name` - Name of field to be retrieved
      `type` - The type of rendition to be performed during retrieval

  - ### TdbRendition

    public TdbRendition(String stringFieldName, String filenameFieldName, TdbRenditionType type)
    Constructor for a string template field with optional conversion.

    This constructor is strongly recommended for server-side HTML conversion using TRIPcof or TRIPview-C. If the file name is unknown, the rendition may not be successful.

    Parameters:
      `stringFieldName` - Name of the string field to be retrieved
      `filenameFieldName` - Name of a phrase field that contains the name of the file stored in the string field
      `type` - The type of the rendition to produce

- ## Method Details

  - ### getRenditionType

    public String getRenditionType()
    Retrieve the type (protocol string) that reflects the rendition request

  - ### getFilenameFieldName

    public String getFilenameFieldName()
    Retrieve the name of the phrase field containing the name of the file stored in the string field to which this field template applies.